#include "seq.h"

// malloc a new string containing the reverse complement of s[0..len-1]
char *revcomp(uchar *s, int len)
{
	uchar *t = ckalloc(len+1);
	int i;

	for (i=0; i<len; ++i) t[i] = dna_cmpl(s[len-1-i]);
	t[len] = 0;
	return t;
}

#ifdef TESTING
void test(char *s)
{
	char *r = revcomp(s,strlen(s));
	printf("%s -> %s\n", s, r);
}

int main()
{
	test("");
	test("A");
	test("AC");
	test("ACGT");
	exit(0);
}
#endif
